import 'package:flutter/material.dart';
import 'package:sis_flutter/models/actividad_model.dart';
import 'package:sis_flutter/models/tarea_model.dart';

// import 'package:sis_flutter/models/tarea_model.dart';
import 'package:sis_flutter/services/actividad_service.dart';
import 'package:sis_flutter/services/tarea_service.dart';

class TareaViewModel extends ChangeNotifier {
  void postTarea(
      String idUsuario, String contenido, int idActividad, int posicion) {
    final Tarea tarea = Tarea(
        idUsuario: idUsuario,
        posicion: posicion,
        contenido: contenido,
        border: false,
        idActividad: idActividad);
    TareaService().postTarea(tarea);
  }
}
